Which version do I need to open SX2 files on retina mac os 10.8.5?

For users of legacy Steinberg Cubase software
Post Reply
Exploding Dog
New Member
Posts: 1
Joined: Sun Apr 21, 2019 10:47 am
Contact:

Which version do I need to open SX2 files on retina mac os 10.8.5?

Post by Exploding Dog »

Hi there
Been out of it for quite a while and am looking to see if I can acquire a newer (but not neccesarily latest) version of cubase to open ancient files made in SX2. I am using a retina mac (64bit?) mid 2012 with mac os 10.8.5 Does anybody know which version of Cubase would work on that system and would it open the old project files made in sx2? Otherwise I would have to go the other way and get an old mac to run sx2 which I still have, dongle and all.. Any advice very welcome. Best wishes

Post Reply

Return to “Older Cubase versions”

Who is online

Users browsing this forum: Google [Bot] and 4 guests